Subject: [netlmm] AD review of draft-ietf-netlmm-lma-discovery

From: Jari Arkko <[email-masked]>
Date: Tue, 05 Oct 2010 13:59:28 +0300

I have reviewed this draft. I think it is good enough to move forward 
and I have already requested IETF Last Call to be initiated. However, I 
did have a couple of small comments. It would be good to address these 
in a new version. Feel free to submit a new version to address these 
issues even while the Last Call is starting. See below for the details. 
Finally, I did not personally see a big need to make any changes based 
on the discussion about RFC 5149.

> o LMA Address from AAA during the network access authentication
>   procedure when the MN attaches to the MAG.
>
> o LMA FQDN from AAA during the network access authentication,
>   followed by a Domain Name System (DNS) lookup.
>
> o LMA FQDN derived from the MN identity received from the lower
>   layers during the network attachment, followed by a DNS lookup.
>
> o LMA FQDN or IP address received from the lower layers during the
>   network attachment.  The reception of an FQDN from the lower
>   layers is followed by a DNS lookup.
>
> o LMA FQDN derived from the service selection indication received
>   from lower layers during the network attachment, followed by a DNS
>   lookup.
>   

I would prefer to see these written as complete sentences, e.g., "LMA 
address is retrieved from AAA during...". And why is "Address" 
capitalized? Expand AAA upon first use.

> While there can be system and architecture
> specific details regarding the AAA interactions and the use of DNS,
> the dynamic LMA discovery can be entirely implemented using protocols
> and technologies developed in IETF.  Therefore, using AAA based LMA
> discovery solutions are recommended by this document.
>   

I don't think the argument should be that anything doable in the IETF is 
good. I think the better argument in this case is that AAA-based 
mechanisms can be access and technology agnostic, and can work in the 
same across heterogeneous environments.

Jari

---

From: jouni korhonen <[email-masked]>
Date: Tue, 5 Oct 2010 22:13:04 +0300

Hi,

Thanks for the review and progressing the document. I'll try to submit an update before the IETF#79 submission deadline. Some comments inline.

On Oct 5, 2010, at 1:59 PM, Jari Arkko wrote:

> I have reviewed this draft. I think it is good enough to move forward and I have already requested IETF Last Call to be initiated. However, I did have a couple of small comments. It would be good to address these in a new version. Feel free to submit a new version to address these issues even while the Last Call is starting. See below for the details. Finally, I did not personally see a big need to make any changes based on the discussion about RFC 5149.

OK. However, I'll reintroduce the text I had in -05 regarding the RFC 5149.

> I would prefer to see these written as complete sentences, e.g., "LMA address is retrieved from AAA during...". And why is "Address" capitalized? Expand AAA upon first use.

Right, I will rewrite the bullets as complete sentences and expand AAA.

LMA Address with "Address" capitalized is as written in RFC5213 terminology section. 

> I don't think the argument should be that anything doable in the IETF is good. I think the better argument in this case is that AAA-based mechanisms can be access and technology agnostic, and can work in the same across heterogeneous environments.

Right.. will rephrase as:

   ...
   address or a LMA FQDN.  While there can be system and architecture
   specific details regarding the AAA interactions and the use of DNS,
   the dynamic LMA discovery can be implemented in an access and
   technology agnostic manner, and work in the same way across
   heterogeneous environments. Therefore, using AAA based LMA
   discovery solutions are recommended by this document.

From Vidya's mail the following will be changed:

draft-ietf-mipshop-pfmipv6 -> RFC 5949
RFC 4306 -> RFC 5996
RFC 5213 -> to normative references

- Jouni

> 
> Jari
> 
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netlmm

---

From: Jari Arkko <[email-masked]>
Date: Wed, 06 Oct 2010 00:41:36 +0300

Jouni: OK

Jari